Bug 593194 - TUI firstboot (setup) does not offer RHN Register as TUI firstboot in RHEL 5 and GUI firstboot does
Summary: TUI firstboot (setup) does not offer RHN Register as TUI firstboot in RHEL 5 ...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rhn-client-tools   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Jan Pazdziora
QA Contact: Jiri Kastner
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks: 559492
TreeView+ depends on / blocked
 
Reported: 2010-05-18 06:23 UTC by Jan Pazdziora
Modified: 2010-07-02 19:49 UTC (History)
2 users (show)

Fixed In Version: rhn-client-tools-1.0.0-7.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 19:49:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Pazdziora 2010-05-18 06:23:51 UTC
Description of problem:

The textual firstboot in RHEL 6 Beta does not offer RHN Register even if rhn-setup is installed. This is a regression against RHEL 5.5. Based on discussion with firstboot and setuptool maintainers, it's because RHEL 6 does not have TUI firstboot like RHEL 5 had, which had hardcoded

class TextWindow:
    def __call__(self, screen):
        toolList = [(_("Authentication"), ("/usr/sbin/authconfig-tui"), ("")),
                    (_("Firewall configuration"), ("/usr/bin/system-config-securitylevel-tui"), ("")),
                    (_("Keyboard configuration"), ("/usr/bin/system-config-keyboard"), ("--text")),
                    (_("Network configuration"), ("/usr/sbin/system-config-network-tui"), ("")),
                    (_("Printer configuration"), ("/usr/sbin/printconf-tui"), ("")),
                    (_("System services"), ("/usr/sbin/ntsysv"), ("")),
                    (_("Timezone configuration"), ("/usr/sbin/timeconfig"), ("")),
                    (_("RHN Register"), ("/usr/bin/rhn_register"), (""))]

in /usr/share/firstboot/textWindow.py. Instead, setup is called, and that expects the interested tools to "register" themselves into /etc/setuptool.d or /usr/share/setuptool/setuptool.d. And rhn_register does not do that.

Version-Release number of selected component (if applicable):

# rpm -q setuptool rhn-setup
setuptool-1.19.9-2.el6.i686
rhn-setup-1.1.5-1.el6.noarch

How reproducible:

Deterministic.

Steps to Reproduce:
1. On RHEL 5, run
  # ( sed -i "s/=NO/=YES/" /etc/sysconfig/firstboot ; unset DISPLAY ; firstboot )
2. On RHEL 6, run the same.
  
Actual results:

On RHEL 5:

       ┌────────────────┤ Setup Agent ├────────────────┐        
       │                                               │        
       │ Select the item that you wish to modify       │        
       │                                               │        
       │           Authentication          ↑           │        
       │           Firewall configuration  ▮           │        
       │           Network configuration   ▒           │        
       │           System services         ▒           │        
       │           RHN Register            ▒           │        
       │                                   ▒           │        
       │                                   ▒           │        
       │                                   ↓           │        
       │                                               │        
       │       ┌──────────┐            ┌──────┐        │        
       │       │ Run Tool │            │ Exit │        │        
       │       └──────────┘            └──────┘        │        
       │                                               │        
       │                                               │        
       └───────────────────────────────────────────────┘        

On RHEL 6:

              ┌────────┤ Choose a Tool ├─────────┐
              │                                  │ 
              │   Authentication configuration   │ 
              │   Firewall configuration         │ 
              │   Keyboard configuration         │ 
              │   Network configuration          │ 
              │   System services                │ 
              │                                  │ 
              │      ┌──────────┐  ┌──────┐      │ 
              │      │ Run Tool │  │ Quit │      │ 
              │      └──────────┘  └──────┘      │ 
              │                                  │ 
              │                                  │ 
              └──────────────────────────────────┘ 

Expected results:

              ┌────────┤ Choose a Tool ├─────────┐
              │                                  │ 
              │   Authentication configuration   │ 
              │   Firewall configuration         │ 
              │   Keyboard configuration         │ 
              │   Network configuration          │ 
              │   RHN Register                   │ 
              │   System services                │ 
              │                                  │ 
              │      ┌──────────┐  ┌──────┐      │ 
              │      │ Run Tool │  │ Quit │      │ 
              │      └──────────┘  └──────┘      │ 
              │                                  │ 
              │                                  │ 
              └──────────────────────────────────┘ 


Additional info:

Comment 1 Jan Pazdziora 2010-05-19 06:53:00 UTC
Fixed in Spacewalk master, 4b9f6b78c44f13ef8770937d5f37f2a8e54c03a5.

Comment 2 Jan Pazdziora 2010-05-19 06:58:12 UTC
Cherry picked to CLIENT-RHEL-6, commit da42ac587a95082a77edf9246ad0ae0c6491ce06.

Comment 4 Jan Pazdziora 2010-05-25 13:03:45 UTC
Fixed $(PREFIX) handling which could have caused problems upon build time, Spacewalk master 9857430d70a746281db64a054cf4d75390145ca5.

Comment 5 Jan Pazdziora 2010-05-25 14:24:21 UTC
Cherry picked to CLIENT-RHEL-6, commit e03493aee066eab74e372967eeaa0b50824d4781.

Comment 7 Jiri Kastner 2010-06-10 12:16:48 UTC
verified on all rhel6 platforms

Comment 8 releng-rhel@redhat.com 2010-07-02 19:49:05 UTC
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.